"""Set user current project relationship

Revision ID: 4b4e2fa7a2fb
Revises: 97b3193840d0
Create Date: 2021-06-28 19:58:34.308074

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '4b4e2fa7a2fb'
down_revision = '97b3193840d0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('project', sa.Column('created_at', sa.DateTime(), nullable=False))
    op.add_column('user', sa.Column('current_project_id', postgresql.UUID(), nullable=True))
    op.create_foreign_key(None, 'user', 'project', ['current_project_id'], ['id'])
    op.drop_column('user', 'current_project')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('user', sa.Column('current_project', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.drop_constraint(None, 'user', type_='foreignkey')
    op.drop_column('user', 'current_project_id')
    op.drop_column('project', 'created_at')
    # ### end Alembic commands ###
